no longer use box86-updater for anything

pull/491/head
Botspot 4 years ago
parent 84ba3cc295
commit 22dcf3f03c

@ -7,17 +7,18 @@ function error {
exit 1
}
if [ ! -f /usr/local/bin/box86 ];then
echo 'Installing box86 first...'
wget -qO- https://raw.githubusercontent.com/Botspot/box86-updater/main/update-box86 | bash
if [ ! -f /usr/local/bin/box86 ];then
error "Box86 failed to install somehow!"
#install box86
if ! command -v box86 || [ "$(cat "${DIRECTORY}/data/status/Box86" 2>/dev/null)" != 'installed' ];then
echo 'Installing box86...'
"${DIRECTORY}/manage" install Box86 || error "Box86 failed to install somehow!"
if ! command -v box86 ;then
error "Box86 executable does not exist!"
else
echo "installed" > "${DIRECTORY}/data/status/Box86"
fi
fi
#Acquired at http://eagle.autodesk.com/eagle/software-versions/1
#Acquired from http://eagle.autodesk.com/eagle/software-versions/1
sudo rm -rf /usr/local/bin/eagle ~/.local/share/applications/eagle.desktop &>/dev/null

@ -9,11 +9,12 @@ function error {
"${DIRECTORY}/pkg-install" "libappindicator1 libnm0" "$(dirname "$0")" || exit 1
if [ ! -f /usr/local/bin/box86 ];then
echo 'Installing box86 first...'
wget -qO- https://raw.githubusercontent.com/Botspot/box86-updater/main/update-box86 | bash
if [ ! -f /usr/local/bin/box86 ];then
error "Box86 failed to install somehow!"
#install box86
if ! command -v box86 || [ "$(cat "${DIRECTORY}/data/status/Box86" 2>/dev/null)" != 'installed' ];then
echo 'Installing box86...'
"${DIRECTORY}/manage" install Box86 || error "Box86 failed to install somehow!"
if ! command -v box86 ;then
error "Box86 executable does not exist!"
else
echo "installed" > "${DIRECTORY}/data/status/Box86"
fi

@ -7,11 +7,12 @@ function error {
exit 1
}
if [ ! -f /usr/local/bin/box86 ];then
echo 'Installing box86 first...'
wget -qO- https://raw.githubusercontent.com/Botspot/box86-updater/main/update-box86 | bash
if [ ! -f /usr/local/bin/box86 ];then
error "Box86 failed to install somehow!"
#install box86
if ! command -v box86 || [ "$(cat "${DIRECTORY}/data/status/Box86" 2>/dev/null)" != 'installed' ];then
echo 'Installing box86...'
"${DIRECTORY}/manage" install Box86 || error "Box86 failed to install somehow!"
if ! command -v box86 ;then
error "Box86 executable does not exist!"
else
echo "installed" > "${DIRECTORY}/data/status/Box86"
fi

@ -131,11 +131,12 @@ fi
#Past this point, the pi is running a Wine-compatible kernel.
if [ ! -f /usr/local/bin/box86 ];then
echo 'Installing box86 first...'
wget -qO- https://raw.githubusercontent.com/Botspot/box86-updater/main/update-box86 | bash
if [ ! -f /usr/local/bin/box86 ];then
error "Box86 failed to install somehow!"
#install box86
if ! command -v box86 || [ "$(cat "${DIRECTORY}/data/status/Box86" 2>/dev/null)" != 'installed' ];then
echo 'Installing box86...'
"${DIRECTORY}/manage" install Box86 || error "Box86 failed to install somehow!"
if ! command -v box86 ;then
error "Box86 executable does not exist!"
else
echo "installed" > "${DIRECTORY}/data/status/Box86"
fi

Loading…
Cancel
Save